html, body {
  font-family: 'Montserrat', sans-serif;
  scroll-snap-type: y mandatory;
  margin: 0;
  padding: 0;
}






/* Animação de fade-in branco quando entra no site */
.fade-in {
  position: fixed;
  top: 0;
  left: 0;

  width: 100%;
  height: 100vh;

  background-color: white;
  z-index: 9999;

  animation: fadeOut 1.5s ease forwards;
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    visibility: hidden;
  }
}












.cabecalho {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(100vh / 8);
  background-color: #ffe3be;
  color: #a6244f;
  display: flex;
  align-items: center;   /* centraliza verticalmente */
  padding-left: 20px;    /* espaço da esquerda */
  z-index: 10;

  transition: top 0.3s ease;
}

.menu {
  margin-left: auto;
  padding-right: 5%;
}

.menu a {
  color: #a6244f;
  text-decoration: none;
  margin-left: 20px;
  font-weight: 800;
}

.hamburger {
  display: none;
  font-size: 30px;
  color: #a6244f;
  cursor: pointer;

  margin-left: auto;   /* empurra para a direita */
  margin-right: 50px;    /* espaço de 5% da tela */
}

.menu-mobile {
  position: fixed;
  top: 0;
  right: 0;

  width: 100%;
  height: 100vh;

  background-color: #ffe3be;

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  gap: 30px;

  transform: translateX(100%);
  transition: transform 0.3s ease;

  z-index: 999;
}

.menu-mobile a {
  color: #a6244f;
  font-size: 20px;
  text-decoration: none;
}

.fechar {
  position: absolute;
  top: 30px;
  right: 30px;

  font-size: 32px;
  color: #a6244f;
  cursor: pointer;
}

.menu-mobile.active {
  transform: translateX(0);
}

.logo {
  height: 7vh;
  width: auto;
  display: block; 
}

.cabecalho a {
  display: inline-block;
}

.cabecalho a .logo {
  display: block;
  opacity: 1 !important;
  visibility: visible !important;
}










.hero {
  border-radius: 20px;
  object-fit: cover;
  box-shadow: 0 10px 30px rgba(0,0,0,0.08);
  background: linear-gradient(
    to bottom,
    #ffe3be 20%,
    #fff3e3 100%
  );
}

.respiro {
  height: calc(100vh / 8);
}


.hero-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 60px;
}

.main-image {
  max-width: 100%;
  display: flex;
  gap: 20px;
}

.subtitle {
  display: inline-block;
  margin-bottom: 12px;
  font-size: 14px;
  letter-spacing: 2px;
  text-transform: uppercase;
  color: #8b6f47;
  font-weight: bold;
}

.hero-images {
  flex: 1;
  display: flex;
  gap: 20px;
  justify-content: center;
}

.hero-content {
  flex: 1;
  max-width: 600px;
  margin: 0px 30px;
}

.hero-content h1 {
  font-size: 56px;
  margin-bottom: 20px;
  color: #3b2f2f;
}

.hero-content p {
  font-size: 18px;
  line-height: 1.7;
  margin-bottom: 30px;
  color: #555;
}

.btn {
  display: inline-block;
  padding: 14px 28px;
  background: #8b6f47;
  color: white;
  text-decoration: none;
  border-radius: 10px;
  font-weight: bold;
  transition: 0.3s;
}

.btn:hover {
  transform: translateY(-2px);
}



































.secao2 {
  min-height: 100vh;
  padding: 20px 20px;
  display: flex;
  background: #fff3e3;
  justify-content: center;
}

.secao2-container {
  text-align: center;

}


.secao2 h2 {
  font-size: 25px;
  margin-bottom: 20px;
  color: #3b2f2f;}

.secao2 p {
  max-width: 800px;
  text-align: center;
  font-size: 18px;
  line-height: 1.7;
  margin-bottom: 30px;
  color: #555;
}

.imagemboneca {
  max-width: 800px;
  display: flex;
}

.secao2-image {
  max-width: 100%;

}



















.fan-section {
  padding: 80px 8%;
  background: #fff3e3;
}

.fan-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 60px;
}

.fan-left,
.fan-right {
  flex: 1;
}

.fan-left h2,
.fan-right h2 {
  font-size: 32px;
  margin-bottom: 20px;
  color: #3b2f2f;
}

.fan-left p {
  font-size: 18px;
  line-height: 1.8;
  color: #555;
}

.fan-image {
 max-width: 180px;


}

.store-buttons {
  display: flex;
  gap: 16px;
  margin: 30px 0;
  flex-wrap: wrap;
}

.store-btn {
  padding: 14px 24px;
  background: #8b6f47;
  color: white;
  text-decoration: none;
  border-radius: 10px;
  font-weight: bold;
  transition: 0.3s;
}

.olx-btn {
  background: #6f2dbd;
}

.shopee-btn {
  background: #ee4d2d;
}

.ml-btn {
  background: #ffe600;
  color: #2d2d2d;
}

.store-btn:hover {
  transform: translateY(-2px);
}

.whatsapp-btn {
  display: block;
  max-width: 500px;
  text-align: center;
  padding: 18px 24px;
  background: #25D366;
  color: white;
  text-decoration: none;
  border-radius: 12px;
  font-size: 18px;
  font-weight: bold;
  transition: 0.3s;
}

.whatsapp-btn:hover {
  transform: translateY(-2px);
}

@media (max-width: 768px) {
  .fan-container {
    flex-direction: column;
    text-align: center;
    gap: 40px;
  }

  .store-buttons {
    justify-content: center;
  }

  .fan-left h2,
  .fan-right h2 {
    font-size: 28px;
  }

  .fan-left p {
    font-size: 16px;
  }
}







/* Rodapé */



.logo-rodape {
  max-width: 200px;
  margin-bottom: 20px;
}


.rodape {
  background: linear-gradient(
    to bottom,
    #fff3e3 20%,
    #ffffff 100%
  );
  text-align: center;
}



@media (max-width: 768px) {
  .hero {
    padding: 40px 6%;
  }

  .hero-container {
    flex-direction: column;
    gap: 40px;
  }

  .hero-images {
    order: 1;
  }

  .hero-content {
    order: 2;
    text-align: center;
  }

  .hero-content h1 {
    font-size: 38px;
  }

  .hero-content p {
    font-size: 16px;
  }

  .secondary-images {
    gap: 12px;
  }
}


























@media (max-width: 510px) {

.cabecalho {
  height: calc(100vh / 10);
}
}

@media (max-width: 1080px) {
 /* esse é um outro que diz respeito à largura da tela */

}

@media (max-height: 900px) {
/* quando a tela é baixa e
 isso afeta a responsividade dos conteúdos */

}

@media (max-height: 810px) {
/* quando a tela é muito baixa e
 isso afeta a responsividade dos conteúdos */

}

@media (max-width: 1024px) {
     /* Essa é a largura máxima, será usada para mobiles */

  .menu {
    display: none;      /* esconde o menu */
  }
  .hamburger {
    display: block;     /* mostra o sanduíche */
  }



}